package com.younki.maidmatching.services.Adapter;

import com.younki.maidmatching.services.HTTP.JobResponse;

import java.util.List;

public class JobData {
    private int id;
    private int user_id;
    private String name;
    private String description;
    private String image;
    private String salary;
    private String address;
    private String location;
    private String recommended_age;
    private List<JobResponse.Data.Skills> skills;
    private List<JobResponse.Data.Parameters> parameters;

    private int applicant;

    private List<JobResponse.Data.Applicants> applicants;
    private Integer recruit_id;
    private String accommodation;
    private String working_days;
    private String working_hours;
    private int user_kyc;

    public JobData(int id, int user_id, String name, String description, String image, String salary, String address, String location, String recommended_age, List<JobResponse.Data.Skills> skills, List<JobResponse.Data.Parameters> parameters, int applicant, List<JobResponse.Data.Applicants> applicants, Integer recruit_id, String accommodation, String working_days, String working_hours, int user_kyc) {
        this.id = id;
        this.user_id = user_id;
        this.name = name;
        this.description = description;
        this.image = image;
        this.salary = salary;
        this.address = address;
        this.location = location;
        this.recommended_age = recommended_age;
        this.skills = skills;
        this.parameters = parameters;
        this.applicant = applicant;
        this.applicants = applicants;
        this.recruit_id = recruit_id;
        this.accommodation = accommodation;
        this.working_days = working_days;
        this.working_hours = working_hours;
        this.user_kyc = user_kyc;
    }

    public int getId() {
        return id;
    }

    public void setId(int id) {
        this.id = id;
    }

    public int getUser_id() {
        return user_id;
    }

    public void setUser_id(int user_id) {
        this.user_id = user_id;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getDescription() {
        return description;
    }

    public void setDescription(String description) {
        this.description = description;
    }

    public String getImage() {
        return image;
    }

    public void setImage(String image) {
        this.image = image;
    }

    public String getSalary() {
        return salary;
    }

    public void setSalary(String salary) {
        this.salary = salary;
    }

    public String getAddress() {
        return address;
    }

    public void setAddress(String address) {
        this.address = address;
    }

    public String getLocation() {
        return location;
    }

    public void setLocation(String location) {
        this.location = location;
    }

    public String getRecommended_age() {
        return recommended_age;
    }

    public void setRecommended_age(String recommended_age) {
        this.recommended_age = recommended_age;
    }

    public List<JobResponse.Data.Skills> getSkills() {
        return skills;
    }

    public void setSkills(List<JobResponse.Data.Skills> skills) {
        this.skills = skills;
    }

    public List<JobResponse.Data.Parameters> getParameters() {
        return parameters;
    }

    public void setParameters(List<JobResponse.Data.Parameters> parameters) {
        this.parameters = parameters;
    }

    public int getApplicant() {
        return applicant;
    }

    public void setApplicant(int applicant) {
        this.applicant = applicant;
    }

    public List<JobResponse.Data.Applicants> getApplicants() {
        return applicants;
    }

    public void setApplicants(List<JobResponse.Data.Applicants> applicants) {
        this.applicants = applicants;
    }

    public Integer getRecruit_id() {
        return recruit_id;
    }

    public void setRecruit_id(Integer recruit_id) {
        this.recruit_id = recruit_id;
    }

    public String getAccommodation() {
        return accommodation;
    }

    public void setAccommodation(String accommodation) {
        this.accommodation = accommodation;
    }

    public String getWorking_days() {
        return working_days;
    }

    public void setWorking_days(String working_days) {
        this.working_days = working_days;
    }

    public String getWorking_hours() {
        return working_hours;
    }

    public void setWorking_hours(String working_hours) {
        this.working_hours = working_hours;
    }

    public int getUser_kyc() {
        return user_kyc;
    }

    public void setUser_kyc(int user_kyc) {
        this.user_kyc = user_kyc;
    }
}
